FROM php:apache

# Enable SSL module
RUN a2enmod ssl

# Copy SSL certificate and key
COPY ./certbot/cert.pem /etc/apache2/letsencrypt/certbot/cert.pem
COPY ./certbot/privkey.pem /etc/apache2/letsencrypt/certbot/privkey.pem

# Copy default-ssl.conf
COPY ./apache/default-ssl.conf /etc/apache2/sites-enabled/default-ssl.conf
